1 Reply Latest reply on Nov 20, 2019 8:06 PM by SrikanthD_56

    PSOC 4.2 accessing 4.0 folder library

    AaAg_4569566

      I have a project written for IDE PSOC 4.0 updated 1. I'm now trying to build that in 4.2 IDE. But it throws an error saying :


      arm-none-eabi-gcc.exe: error: C:\Program Files (x86)\Cypress\PSoC Creator\4.0\PSoC Creator\psoc\content\cycomponentlibraryupdates\CyComponentLibraryUpdates.cylib\CapSense_CSD_P4_v2_60\PSoC4\Library\CapsenseP4Library_GCC.a: No such file or directory

      The command 'arm-none-eabi-gcc.exe' failed with exit code '1'.

       

      How can I change this location of PSOC Creator\4.0 to 4.2

       

      Thank you.

        • 1. Re: PSOC 4.2 accessing 4.0 folder library
          SrikanthD_56

          Looks like you have removed a downloaded version of CapSense component.

          Please try deleting the 4.0, 4.1 and 4.2 folders under C:\Users\[user_name]\Documents\PSoC Creator path. Then open your project and updated the component version again if need be. See if that helps.

           

          Take a backup of those folders before deleting them.

           

          Cheers!

          1 of 1 people found this helpful